# store the fpu status and control words so they can be examined from C
.globl _store_fpu_state, _fpucw, _fpusw

.text

_store_fpu_state:
	fstcwl (_fpucw)		# store fpu control word	
	fstswl (_fpusw)         # store fpu status word
	fclex 			# clear exception flags
	ret

.data
.bss
	.comm _fpucw,4
	.comm _fpusw,4
