#
# double my_trunc(double x):  return what remains when the integer
# part closer to zero of number is removed
#
#
.text; .data; .data; .bss
.globl	my_trunc
.align 8
.text
my_trunc:
				  # This is AT&T syntax for gnu as
	pushl	%ebp              # save orig value of ebp
	movl    %esp, %ebp        # ebp now base of stack pointer 
				  # save unnecessary regs, just to be nice
        pushl	%eax
	                          # begin to pester FPU
	                          # push EEE value of 1.0
	fldl    amhain
	fldl    8(%ebp)           # push value of x on st(0)
	fprem                     # divide by 1.0. Remainder in st(0)
				  # note that fprem is different from
				  # fprem1 (available pentium onwards)

	fstpl   filleadh
	fistp   rud            # throw away 1.0 
	fistp   rud            # throw away x
	fldl    filleadh
slan:
	popl 	%eax
	leave	                  # sicut erat in principio
	ret

.data
.align 8
amhain:  # This is the quad version of 1 in IEEE format:
	.long 0
	.long 1072693248 
rud:
	.long 0
	.long 0
filleadh:   
